Xerces-J API: Class HTMLAppletElementImpl

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.html.dom
Class HTMLAppletElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLAppletElementImpl

public class HTMLAppletElementImpl
extends HTMLElementImpl
implements HTMLAppletElement

Version:
  $Revision: 1.4 $ $Date: 2001/01/30 23:57:49 $
Author:
  Assaf Arkin
See Also:
  `HTMLAppletElement`, `HTMLElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ParentNode
`fCachedChild, fCachedChildIndex, fCachedLength, firstChild, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLAppletElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` | `getAlign()` Aligns this object (vertically or horizontally) with respect to its surrounding text.
`java.lang.String` | `getAlt()` Alternate text for user agents not rendering the normal content of this element.
`java.lang.String` | `getArchive()` Comma-separated archive list.
`java.lang.String` | `getCode()` Applet class file.
`java.lang.String` | `getCodeBase()` Optional base URI for applet.
`java.lang.String` | `getHeight()` Override height.
`java.lang.String` | `getHspace()` Horizontal space to the left and right of this image, applet, or object.
`java.lang.String` | `getName()` The name of the applet.
`java.lang.String` | `getObject()` Serialized applet file.
`java.lang.String` | `getVspace()` Vertical space above and below this image, applet, or object.
`java.lang.String` | `getWidth()` Override width.
`void` | `setAlign(java.lang.String align)`
`void` | `setAlt(java.lang.String alt)`
`void` | `setArchive(java.lang.String archive)`
`void` | `setCode(java.lang.String code)`
`void` | `setCodeBase(java.lang.String codeBase)`
`void` | `setHeight(java.lang.String height)`
`void` | `setHspace(java.lang.String height)`
`void` | `setName(java.lang.String name)`
`void` | `setObject(java.lang.String object)`
`void` | `setVspace(java.lang.String vspace)`
`void` | `setWidth(java.lang.String width)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, reconcileDefaultAttributes, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLAppletElementImpl

    public HTMLAppletElementImpl(HTMLDocumentImpl owner,
                                 java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getAlign

    public java.lang.String getAlign()

  Description copied from interface: HTMLAppletElement
  Aligns this object (vertically or horizontally) with respect to its surrounding text. See the align attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getAlign in interface HTMLAppletElement

### setAlign

    public void setAlign(java.lang.String align)

  Specified by:
    setAlign in interface HTMLAppletElement

### getAlt

    public java.lang.String getAlt()

  Description copied from interface: HTMLAppletElement
  Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getAlt in interface HTMLAppletElement

### setAlt

    public void setAlt(java.lang.String alt)

  Specified by:
    setAlt in interface HTMLAppletElement

### getArchive

    public java.lang.String getArchive()

  Description copied from interface: HTMLAppletElement
  Comma-separated archive list. See the archive attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getArchive in interface HTMLAppletElement

### setArchive

    public void setArchive(java.lang.String archive)

  Specified by:
    setArchive in interface HTMLAppletElement

### getCode

    public java.lang.String getCode()

  Description copied from interface: HTMLAppletElement
  Applet class file. See the code attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getCode in interface HTMLAppletElement

### setCode

    public void setCode(java.lang.String code)

  Specified by:
    setCode in interface HTMLAppletElement

### getCodeBase

    public java.lang.String getCodeBase()

  Description copied from interface: HTMLAppletElement
  Optional base URI for applet. See the codebase attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getCodeBase in interface HTMLAppletElement

### setCodeBase

    public void setCodeBase(java.lang.String codeBase)

  Specified by:
    setCodeBase in interface HTMLAppletElement

### getHeight

    public java.lang.String getHeight()

  Description copied from interface: HTMLAppletElement
  Override height. See the height attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getHeight in interface HTMLAppletElement

### setHeight

    public void setHeight(java.lang.String height)

  Specified by:
    setHeight in interface HTMLAppletElement

### getHspace

    public java.lang.String getHspace()

  Description copied from interface: HTMLAppletElement
  Horizontal space to the left and right of this image, applet, or object. See the hspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getHspace in interface HTMLAppletElement

### setHspace

    public void setHspace(java.lang.String height)

  Specified by:
    setHspace in interface HTMLAppletElement

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLAppletElement
  The name of the applet. See the name attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getName in interface HTMLAppletElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLAppletElement

### getObject

    public java.lang.String getObject()

  Description copied from interface: HTMLAppletElement
  Serialized applet file. See the object attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getObject in interface HTMLAppletElement

### setObject

    public void setObject(java.lang.String object)

  Specified by:
    setObject in interface HTMLAppletElement

### getVspace

    public java.lang.String getVspace()

  Description copied from interface: HTMLAppletElement
  Vertical space above and below this image, applet, or object. See the vspace attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getVspace in interface HTMLAppletElement

### setVspace

    public void setVspace(java.lang.String vspace)

  Specified by:
    setVspace in interface HTMLAppletElement

### getWidth

    public java.lang.String getWidth()

  Description copied from interface: HTMLAppletElement
  Override width. See the width attribute definition in HTML 4.0. This attribute is deprecated in HTML 4.0.
  Specified by:
    getWidth in interface HTMLAppletElement

### setWidth

    public void setWidth(java.lang.String width)

  Specified by:
    setWidth in interface HTMLAppletElement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.